Create an Account User
curl --request POST \
--url https://app.rookoo.ai/platform/api/v1/accounts/{account_id}/account_users \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"user_id": 1,
"role": "administrator"
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_id: 1, role: 'administrator'})
};
fetch('https://app.rookoo.ai/platform/api/v1/accounts/{account_id}/account_users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/platform/api/v1/accounts/{account_id}/account_users"
payload = {
"user_id": 1,
"role": "administrator"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"account_id": 123,
"user_id": 123,
"role": "<string>"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Account Users
Create an Account User
Create an Account User
POST
/
platform
/
api
/
v1
/
accounts
/
{account_id}
/
account_users
Create an Account User
curl --request POST \
--url https://app.rookoo.ai/platform/api/v1/accounts/{account_id}/account_users \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"user_id": 1,
"role": "administrator"
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_id: 1, role: 'administrator'})
};
fetch('https://app.rookoo.ai/platform/api/v1/accounts/{account_id}/account_users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.rookoo.ai/platform/api/v1/accounts/{account_id}/account_users"
payload = {
"user_id": 1,
"role": "administrator"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"account_id": 123,
"user_id": 123,
"role": "<string>"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by the system admin after creating a platformApp. This token should be used to provision agent bots, accounts, users and their roles.
Path Parameters
The numeric ID of the account
Body
application/json